Skip to main content
Version: v0.1.0

Objects API

API for managing the object storage (S3).

Overview

The Objects API allows you to store and manage binary objects such as code files and configuration files.

Endpoints

GET /api/v1/objects/{object_id}

Downloads an object.

Path Parameters

ParameterTypeRequiredDescription
object_idstringYesObject ID

Query Parameters

ParameterTypeRequiredDescription
object_versionstringNoDownload a specific version

Response

Returns the file binary data.


PUT /api/v1/objects/{object_id}

Uploads an object.

Path Parameters

ParameterTypeRequiredDescription
object_idstringYesObject ID

Request Body

Upload file in multipart/form-data format.

Response

200 OK

{
"message": "Object uploaded successfully"
}

DELETE /api/v1/objects/{object_id}

Deletes an object.

Response

200 OK

{
"message": "Object deleted successfully"
}

GET /api/v1/objects/{object_id}/versions

Retrieves the version history of an object.

Response

200 OK

[
{
"version_id": "v3",
"last_modified": "2024-01-20T10:30:00Z",
"size": 4096
}
]